‫ آسيب پذيري آپلود فايل دلخواه در WordPress SFBrowser Plugin

IRCAD2012061974
شماره:IRCAD2012061974
تاريخ انتشار:11-06-2012
ميزان حساسيت: بسيار مهم
نرم افزارهاي تحت تاثير: 
WordPress SFBrowser Plugin 1.x
 
توضيح:
يك آسيب پذيري در پلاگين SFBrowser براي وردپرس كشف شده است كه مي تواند توسط افراد خرابكار مورد سوء استفاده قرار بگيرد تا كنترل يك سيستم آسيب پذير را در اختيار بگيرند.
اين آسيب پذيري به علت اسكريپت wp-content/plugins/sfbrowser/connectors/php/sfbrowser.php ايجاد شده است كه به درستي اعتبار فايل هاي آپلود شده را بررسي نمي كند. اين مساله مي تواند براي اجراي كد PHP دلخواه بوسيله آپلود كردن يك اسكريپت PHP مخرب مورد سوء استفاده قرار بگيرند.
اين آسيب پذيري در نسخه 1.4.5 تاييد شده است. نسخه هاي پيش از اين نيز ممكن است تحت تاثير اين آسيب پذيري ها قرار داشته باشند. 
 
راهكار:
دسترسي به فايل wp-content/plugins/sfbrowser/connectors/php/sfbrowser.php را محدود نماييد.
 
منابع:
 
Secunia:

نظرات

بدون نظر
شما برای نظر دادن باید وارد شوید

نوشته

 
تاریخ ایجاد: 23 خرداد 1391

امتیاز

امتیاز شما
تعداد امتیازها:0